#include "CNodeVisitor.h"

#include "GameIncludes.h"


CNodeVisitor::CNodeVisitor(void)
{
}


CNodeVisitor::~CNodeVisitor(void)
{
}

void CNodeVisitor::visit(CNode* Node)
{
	CGroup *Group = dynamic_cast<CGroup *>(Node);
	if (Group)
	{
		this->visit(Group);
	}
}

void CNodeVisitor::visit(CGroup* Group)
{
	for (int index = 0; index < Group->_children.size(); ++index)
	{
		this->visit(Group->_children[index]);
	}
}