#pragma once

#include "stdafx.h"

class CScopeProfiler
{
public:
	CScopeProfiler(const std::string& name);
	~CScopeProfiler(void);


private:
	std::string		_name;
	Clock			_clock;
};

class CProfiler
{
public:

	void registerProfilerTime(const std::string& name, float milliSeconds);

	void update(float DeltaTime, sf::RenderTarget* RenderTarget);

	static CProfiler* getInstance();

private:
	std::map<std::string, float>			_profilerTimes;
	std::map<std::string, sf::Text*>		_profilerText;
};
