#pragma once

#include "stdafx.h"

#include "CNodeVisitor.h"

class CCollisionVisitor : public CNodeVisitor
{
public:
	CCollisionVisitor(CNode* movingNode, const Vector2f Move);
	~CCollisionVisitor(void);

	virtual void visit(CNode* node) override;

public:
	bool _bCollide;
	CNode* _movingNode;
	Vector2f _MTV;

	CNode* _colliderNode;

private:
	Vector2f _move;
	sf::Sprite*	_movingSprite;
};

