#include "CScoreBehavior.h"

#include "GameIncludes.h"

CScoreBehavior::CScoreBehavior(void)
{
}


CScoreBehavior::~CScoreBehavior(void)
{
}

void CScoreBehavior::update( CNode* Owner, float DeltaTime )
{
	CNodeBehavior::update(Owner, DeltaTime);
	sf::Text* text = dynamic_cast<sf::Text*>(Owner->getDrawable());
	if (!text)
		return;

	//show game score
	std::stringstream stream;
	stream << CGame::getInstance()->getScore();
	text->setString(stream.str());
}
