#include "CTimerBehavior.h"

#include "GameIncludes.h"

CTimerBehavior::CTimerBehavior(void)
{
}


CTimerBehavior::~CTimerBehavior(void)
{
}

void CTimerBehavior::update( CNode* Owner, float DeltaTime )
{
	CNodeBehavior::update(Owner, DeltaTime);
	sf::Text* text = dynamic_cast<sf::Text*>(Owner->getDrawable());
	if (!text)
		return;

	//show game time
	std::stringstream stream;
	stream << int(CGame::getInstance()->getGameTime());
	text->setString(stream.str());
}
